<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <title>Liquidador</title>
</head>

<style>
  

  .customDiv {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
  }

  @media (max-width: 1280px) {
    .customDiv { 
      width: 100%; 
    }
  }
</style>

<body>

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="index.html">Inicio</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <div class="navbar-nav">
            <a class="nav-link active" href="liquidador.html">Liquidador</a>
            <a class="nav-link" href="manual.html">Manual</a>
            <a class="nav-link" href="ifs.html">Indicadores financieros</a>
          </div>
        </div>
    </nav>


    <div class="customDiv">
      <div class="card  myCard">
        <div class="card-header">
          Salario mensual para efectos de liquidación
        </div>
        <div class="card-body">

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Salario $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_salario" value="908526" >
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Auxilio de transporte $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_auxilio_transporte" value="106454">
          </div>
          
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text font-weight-bold">Sub Total $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_sub_total" disabled>
          </div>
        
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <div class="input-group-text">
                <input type="checkbox" aria-label="Checkbox for following text input" id="cb_transporte">
              </div>
            </div>
            <input type="text" class="form-control" aria-label="Text input with checkbox" value="Subsidio de transporte?" disabled>
          </div>

        </div>
      </div>

      <div class="card  myCard">
        <div class="card-header">
          Liquidación de las prestaciones sociales
        </div>
        <div class="card-body">

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Prima de servicios $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_prima_servicios" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Cesantías $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_cesantias" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Intereses sobre cesantías $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_interes_cesantias" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Compensación de vacaciones $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_compensacion_vacaciones" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Salud $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_salud" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Pension $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_pension" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">ARL $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_arl" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Caja de compensación $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_compensacion" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">SENA $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_sena" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">ICBF $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_icbf" disabled>
          </div>

          <!--
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Dotación $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_dotacion" disabled>
          </div>
          -->

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text font-weight-bold">Total prestaciones sociales $</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_total_prestaciones" disabled>
          </div>

        </div>
      </div>


      <div class="card  myCard">
        <div class="card-header">
          Periodo a liquidar cesantías e intereses sobre cesantías
        </div>
        <div class="card-body">
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Fecha de ingreso</span>
            </div>
            <input type="date" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="date_cesantias_ingreso" >
          </div>
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Fecha de liquidación</span>
            </div>
            <input type="date" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="date_cesantias_liquidacion">
          </div>
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Meses a liquidar</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_meses_cesantias" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Periodo a liquidar</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_dias_cesantias" disabled>
          </div>  
        </div>
      </div>

      <div class="card  myCard">
        <div class="card-header">
          Periodo a liquidar prima de servicios
        </div>
        <div class="card-body">
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Fecha de la última liquidación</span>
            </div>
            <input type="date" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="date_ultima_prima" >
          </div>
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Fecha de la liquidación</span>
            </div>
            <input type="date" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="date_prima">
          </div>
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Meses a liquidar</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_meses_prima" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Dias a liquidar</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_dias_prima" disabled>
          </div>  
        </div>
      </div>


      <div class="card  myCard">
        <div class="card-header">
          Periodo a liquidar la compensación en dinero de las vacaciones
        </div>
        <div class="card-body">
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Fecha de la última liquidación de la vacaciones</span>
            </div>
            <input type="date" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="date_ultimas_vacaciones" >
          </div>
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Fecha de la liquidación</span>
            </div>
            <input type="date" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="date_vacaciones">
          </div>
  
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Meses a liquidar</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_meses_vacaciones" disabled>
          </div>

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Periodo a liquidar</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_periodo_vacaciones" disabled>
          </div>
          
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text">Dias de vacaciones a compensar</span>
            </div>
            <input type="number" class="form-control text-right" aria-label="Amount (to the nearest dollar)" id="txt_dias_compensacion_vacaciones" disabled>
          </div>
        </div>
      </div>


      <div class="card  myCard mb-4">
        <button class="btn btn-primary" id="btn_liquidar" onclick="liquidar()">Liquidar</button>
      </div>

    </div>

    <!-- Footer -->
    <footer class="bg-dark text-center text-lg-start">
      <!-- Grid container -->
      <div class="container p-4">
        <!--Grid row-->
        <div class="row">
          <!--Grid column-->
          <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
            <h5 class="text-uppercase text-light">Liquidador online beta 1.1</h5>
    
            <p class="text-light ">
              Estamos trabajando para mejorar este servicio, todavía se encuentra en
              fase de desarrollo, muchas gracias por visitar la página, puedes contactarme
              por medio de las siguientes redes.
            </p>
          </div>
          <!--Grid column-->
    
          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
            <h5 class="text-uppercase" style="color:darkgrey">Redes</h5>
    
            <ul class="list-unstyled mb-0">
              <li>
                <a href="https://www.linkedin.com/in/luis-angel-espa%C3%B1a-yepez-a384471a5/" target="_blank"
                  class="text-light">Linkedin</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->
    
          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
            <h5 class="text-uppercase mb-0" style="color:darkgrey">Dev</h5>
    
            <ul class="list-unstyled">
              <li>
                <a href="https://gitlab.com/fdh.luis.angel" target="_blank" class="text-light">Gitlab</a>
              </li>
              <li>
                <a href="https://github.com/LuisEspanna" target="_blank" class="text-light">Github</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->
        </div>
        <!--Grid row-->
      </div>
      <!-- Grid container -->
    
      <!-- Copyright -->
      <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2); color:darkgrey">
        © 2020 Copyright:
        <a class="text-light" href="https://mdbootstrap.com/">MDBootstrap.com</a>
      </div>
      <!-- Copyright -->
    </footer>
    <!-- Footer -->

</body>

<script>

  const txt_sub_total = document.getElementById("txt_sub_total");
  const txt_salario = document.getElementById("txt_salario");
  const txt_auxilio_transporte = document.getElementById("txt_auxilio_transporte");
  const cb_transporte = document.getElementById("cb_transporte");
  const txt_salud = document.getElementById("txt_salud");
  const txt_pension = document.getElementById("txt_pension");
  const txt_arl = document.getElementById("txt_arl");
  const txt_compensacion = document.getElementById("txt_compensacion");
  const txt_sena = document.getElementById("txt_sena");
  const txt_icbf = document.getElementById("txt_icbf");

  

  function calcularSubTotal(){
    var salario = parseFloat(txt_salario.value);
    var aux_trans = parseFloat(txt_auxilio_transporte.value);

    if(salario <= 1755606 && cb_transporte.checked){
      txt_sub_total.value = salario + aux_trans;
    }
    else{
      txt_sub_total.value = salario;
    }
  }


  const date_cesantias_ingreso = document.getElementById("date_cesantias_ingreso");
  const date_cesantias_liquidacion = document.getElementById("date_cesantias_liquidacion");
  const txt_meses_cesantias = document.getElementById("txt_meses_cesantias");
  const txt_dias_cesantias = document.getElementById("txt_dias_cesantias");

  function calcularPeriodoCesantias(){
    let date1 = new Date(date_cesantias_ingreso.value);
    let date2 = new Date(date_cesantias_liquidacion.value);

    let dif = date2-date1;
    
    txt_meses_cesantias.value = Math.floor(dif / (1000 * 60 * 60 * 24* 30));
    txt_dias_cesantias.value = Math.floor(dif / (1000 * 60 * 60 * 24* 30))*30;
  }

//-------------------------------------------------------------------------------- PRIMA DE SERVICIOS
  const date_ultima_prima = document.getElementById("date_ultima_prima");
  const date_prima = document.getElementById("date_prima");
  const txt_meses_prima = document.getElementById("txt_meses_prima");
  const txt_dias_prima = document.getElementById("txt_dias_prima");

  function calcularPeriodoPrimaServicios(){
    let date1 = new Date(date_ultima_prima.value);
    let date2 = new Date(date_prima.value);
    let dif = date2-date1;
    
    txt_meses_prima.value = Math.floor(dif / (1000 * 60 * 60 * 24* 30));
    txt_dias_prima.value = Math.floor(dif / (1000 * 60 * 60 * 24* 30))*30;
  }


//-------------------------------------------------------------------------------- PERIODO COMPENSACION VACACIONES
  const date_ultimas_vacaciones = document.getElementById("date_ultimas_vacaciones");
  const date_vacaciones = document.getElementById("date_vacaciones");
  const txt_meses_vacaciones = document.getElementById("txt_meses_vacaciones");
  const txt_periodo_vacaciones = document.getElementById("txt_periodo_vacaciones");
  const txt_dias_compensacion_vacaciones = document.getElementById("txt_dias_compensacion_vacaciones");

  function calcularPeriodoCompensacionVacaciones(){
    let date1 = new Date(date_ultimas_vacaciones.value);
    let date2 = new Date(date_vacaciones.value);
    let dif = date2-date1;
    
    txt_meses_vacaciones.value = Math.floor(dif / (1000 * 60 * 60 * 24* 30));
    txt_periodo_vacaciones.value = Math.floor(dif / (1000 * 60 * 60 * 24* 30))*30;
    txt_dias_compensacion_vacaciones.value = (15*Math.floor(dif / (1000 * 60 * 60 * 24* 30))*30)/360;
  }

  const txt_prima_servicios = document.getElementById("txt_prima_servicios");
  const txt_cesantias = document.getElementById("txt_cesantias");
  const txt_interes_cesantias = document.getElementById("txt_interes_cesantias");
  const txt_compensacion_vacaciones = document.getElementById("txt_compensacion_vacaciones");
  const txt_total_prestaciones = document.getElementById("txt_total_prestaciones");
  const txt_dotacion = document.getElementById("txt_dotacion");

  function prestacionesSociales(){
    txt_prima_servicios.value = (parseFloat(txt_sub_total.value) * parseFloat(txt_dias_prima.value))/360;
    txt_cesantias.value = (parseFloat(txt_sub_total.value)*parseFloat(txt_dias_cesantias.value))/360;
    txt_interes_cesantias.value = (parseFloat(txt_cesantias.value)*parseFloat(txt_dias_cesantias.value)*0.12)/360;
    txt_compensacion_vacaciones.value = (parseFloat(txt_salario.value)*parseFloat(txt_periodo_vacaciones.value))/720;
  
    txt_total_prestaciones.value = parseFloat(txt_prima_servicios.value)+parseFloat(txt_cesantias.value)+parseFloat(txt_interes_cesantias.value)+parseFloat(txt_compensacion_vacaciones.value);
  

    txt_salud.value = parseFloat(txt_salario.value) * 0.085 * parseFloat(txt_meses_cesantias.value);
    txt_pension.value = parseFloat(txt_salario.value) * 0.12 * parseFloat(txt_meses_cesantias.value);
    txt_arl.value = parseFloat(txt_salario.value) * 0.00522 * parseFloat(txt_meses_cesantias.value);
    txt_compensacion.value = parseFloat(txt_salario.value) * 0.04 * parseFloat(txt_meses_cesantias.value);
    txt_sena.value = parseFloat(txt_salario.value) * 0.02 * parseFloat(txt_meses_cesantias.value);
    txt_icbf.value = parseFloat(txt_salario.value) * 0.03 * parseFloat(txt_meses_cesantias.value);

    /*
    if(parseFloat(txt_dias_prima.value) > 120){
      txt_dotacion.value = "10101010101";
    }*/
      
  }

  function liquidar(){
    calcularSubTotal();
    calcularPeriodoCesantias();
    calcularPeriodoPrimaServicios();
    calcularPeriodoCompensacionVacaciones();
    prestacionesSociales();
  }


</script>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
</html>